#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/param.h> 

#ifndef MAXNAMELEN
#define MAXNAMELEN NAME_MAX
#endif

// fuer Anzeige des Verzeichnis-Inhalts
#include <dirent.h> 

int main(void) 
  {
  DIR *dir;
  struct dirent *dirzeiger;
  char dateiname[MAXNAMELEN+1];      /* MAXNAMELEN definiert in param.h */
  char dirname[MAXNAMELEN+1] = ".";  /* --> Laenge reicht garantiert  */

  printf("Alle Dateien im aktuellen Verzeichnis: %s\n",dirname);

  dir = opendir(dirname);
  if(dir != NULL)
    {
    while((dirzeiger = readdir(dir)) != NULL)
      {
      strcpy(dateiname,(*dirzeiger).d_name);
      printf("%s\n",dateiname);
      }
    }
  closedir(dir);
  
  return 0;
  }
